Package org.apache.synapse.commons.datasource.factory

# Class DataSourceInformationRepositoryFactory

java.lang.Object
org.apache.synapse.commons.datasource.factory.DataSourceInformationRepositoryFactory

public class DataSourceInformationRepositoryFactory extends Object
Contains Factory methods that use to create DataSourceInformationRepository

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataSourceInformationRepositoryFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataSourceInformationRepository`
  `createDataSourceInformationRepository(Properties properties)`
  Factory method to create a DataSourceInformationRepository Use 'DataSourceRepositoryManager' as RepositoryListener
  `static DataSourceInformationRepository`
  `createDataSourceInformationRepository(DataSourceInformationRepositoryListener listener, Properties properties)`
  Factory method to create a DataSourceInformationRepository
  `static void`
  `setupDataSourceInformationRepository(DataSourceInformationRepository datasourceInformationRepository, Properties properties)`
  Setup an existing datasource information repository adding the provided datasource information.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataSourceInformationRepositoryFactory

    public DataSourceInformationRepositoryFactory()

- ## Method Details

  - ### createDataSourceInformationRepository

    public static DataSourceInformationRepository createDataSourceInformationRepository(Properties properties)
    Factory method to create a DataSourceInformationRepository Use 'DataSourceRepositoryManager' as RepositoryListener
    Parameters:
      `properties` - DataSource properties
    Returns:
      DataSourceInformationRepository instance

  - ### createDataSourceInformationRepository

    public static DataSourceInformationRepository createDataSourceInformationRepository(DataSourceInformationRepositoryListener listener, Properties properties)
    Factory method to create a DataSourceInformationRepository
    Parameters:
      `listener` - DataSourceInformationRepositoryListener
      `properties` - DataSource properties
    Returns:
      a new, configured DataSourceInformationRepository instance

  - ### setupDataSourceInformationRepository

    public static void setupDataSourceInformationRepository(DataSourceInformationRepository datasourceInformationRepository, Properties properties)
    Setup an existing datasource information repository adding the provided datasource information.
    Parameters:
      `datasourceInformationRepository` - an existing data source information repository
      `properties` - DataSource properties